Bug 624301 - SELinux is preventing /home/clyde/Downloads/firefox/plugin-container from loading /home/clyde/Downloads/firefox/libxul.so which requires text relocation.
SELinux is preventing /home/clyde/Downloads/firefox/plugin-container from loa...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
13
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:0b451656240...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-15 16:27 EDT by clyde0728
Modified: 2010-08-16 04:05 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-16 04:05:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description clyde0728 2010-08-15 16:27:16 EDT
Summary:

SELinux is preventing /home/clyde/Downloads/firefox/plugin-container from
loading /home/clyde/Downloads/firefox/libxul.so which requires text relocation.

Detailed Description:

The plugin-containe application attempted to load
/home/clyde/Downloads/firefox/libxul.so which requires text relocation. This is
a potential security problem. Most libraries do not need this permission.
Libraries are sometimes coded incorrectly and request this permission. The
SELinux Memory Protection Tests
(http://people.redhat.com/drepper/selinux-mem.html) web page explains how to
remove this requirement. You can configure SELinux temporarily to allow
/home/clyde/Downloads/firefox/libxul.so to use relocation as a workaround, until
the library is fixed. Please file a bug report.

Allowing Access:

If you trust /home/clyde/Downloads/firefox/libxul.so to run correctly, you can
change the file context to textrel_shlib_t. "chcon -t textrel_shlib_t
'/home/clyde/Downloads/firefox/libxul.so'" You must also change the default file
context files on the system in order to preserve them even on a full relabel.
"semanage fcontext -a -t textrel_shlib_t
'/home/clyde/Downloads/firefox/libxul.so'"

Fix Command:

chcon -t textrel_shlib_t '/home/clyde/Downloads/firefox/libxul.so'

Additional Information:

Source Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
                              023
Target Context                unconfined_u:object_r:user_home_t:s0
Target Objects                /home/clyde/Downloads/firefox/libxul.so [ file ]
Source                        plugin-containe
Source Path                   /home/clyde/Downloads/firefox/plugin-container
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.7.19-44.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   allow_execmod
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.33.6-147.2.4.fc13.i686 #1 SMP Fri Jul 23
                              17:27:40 UTC 2010 i686 i686
Alert Count                   2
First Seen                    Sun 15 Aug 2010 03:36:51 PM EDT
Last Seen                     Sun 15 Aug 2010 04:11:25 PM EDT
Local ID                      8acae2e8-d828-41de-9c0b-f212613d6074
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1281903085.229:17361): avc:  denied  { execmod } for  pid=2410 comm="plugin-containe" path="/home/clyde/Downloads/firefox/libxul.so" dev=dm-2 ino=131642 scontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1281903085.229:17361): arch=40000003 syscall=125 success=no exit=-13 a0=fb3000 a1=e17000 a2=5 a3=bfb0c180 items=0 ppid=2387 pid=2410 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm="plugin-containe" exe="/home/clyde/Downloads/firefox/plugin-container" subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  allow_execmod,plugin-containe,unconfined_t,user_home_t,file,execmod
audit2allow suggests:

#============= unconfined_t ==============
#!!!! This avc can be allowed using the boolean 'allow_execmod'

allow unconfined_t user_home_t:file execmod;
Comment 1 Miroslav Grepl 2010-08-16 04:05:01 EDT
Either use the chcon command mentioned in the alert or turn off the check
altogether.

Note You need to log in before you can comment on or make changes to this bug.